summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--perl/perl-IO-Tty/README8
-rw-r--r--perl/perl-IO-Tty/perl-IO-Tty.SlackBuild84
-rw-r--r--perl/perl-IO-Tty/perl-IO-Tty.info10
-rw-r--r--perl/perl-IO-Tty/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/perl/perl-IO-Tty/README b/perl/perl-IO-Tty/README
new file mode 100644
index 0000000000..9ac44f7740
--- /dev/null
+++ b/perl/perl-IO-Tty/README
@@ -0,0 +1,8 @@
+IO::Tty - Perl extension that provides an interface to allow the
+creation of a pseudo tty.
+
+IO::Tty is used internally by IO::Pty to create a pseudo-tty. Do not use
+it directly except to import constants, use IO::Pty.
+
+IO::Pty inherits from IO::Handle and so provides all the methods defined
+by the IO::Handle package.
diff --git a/perl/perl-IO-Tty/perl-IO-Tty.SlackBuild b/perl/perl-IO-Tty/perl-IO-Tty.SlackBuild
new file mode 100644
index 0000000000..4849f5be34
--- /dev/null
+++ b/perl/perl-IO-Tty/perl-IO-Tty.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for perl-IO-Tty
+
+# Written by ruario <sbo@ruari.com>
+
+PRGNAM=perl-IO-Tty
+VERSION=${VERSION:-1.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-IO-Tty/perl-IO-Tty.info b/perl/perl-IO-Tty/perl-IO-Tty.info
new file mode 100644
index 0000000000..c6d13c2cb5
--- /dev/null
+++ b/perl/perl-IO-Tty/perl-IO-Tty.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-IO-Tty"
+VERSION="1.10"
+HOMEPAGE="http://search.cpan.org/~toddr/IO-Tty-1.10/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/IO-Tty-1.10.tar.gz"
+MD5SUM="46baec86a145e57f0ec661fa412b097c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ruari Oedegaard"
+EMAIL="sbo@ruari.com"
+APPROVED="dsomero"
diff --git a/perl/perl-IO-Tty/slack-desc b/perl/perl-IO-Tty/slack-desc
new file mode 100644
index 0000000000..b35e7adb28
--- /dev/null
+++ b/perl/perl-IO-Tty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-IO-Tty: perl-IO-Tty (Pseudo TTY object class)
+perl-IO-Tty:
+perl-IO-Tty: Perl extension that provides an interface to allow the creation of a
+perl-IO-Tty: pseudo tty.
+perl-IO-Tty:
+perl-IO-Tty:
+perl-IO-Tty:
+perl-IO-Tty:
+perl-IO-Tty:
+perl-IO-Tty:
+perl-IO-Tty: